import * as ts from 'typescript';
export declare class BaseReflection {
    id: number;
    parent?: BaseReflection;
}
export declare class EnumReflection extends BaseReflection {
    readonly name: string;
    readonly members: EnumMemberReflection[];
    constructor(name: string, members: EnumMemberReflection[]);
}
export declare class EnumMemberReflection extends BaseReflection {
    readonly name: string;
    readonly value: string | number;
    constructor(name: string, value: string | number);
}
export declare function convertEnum(symbol: ts.Symbol): EnumReflection | undefined;
